// hamburger styles
.hamburger{
  height: 25px;
  width: 25px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  position: relative;
  cursor: pointer;
  & span{
    background: $c-dark;
    height: 5px;
    width: 100%;
  }
  &:hover, &--active{
    span{
      background: #54c1d7;
    
    }
  }
  &--active{
      justify-content: center;
      // top: 10px;
      span{
        display: none;
        position: absolute;
        &:first-child{

          display: block;
          transform: rotate(-45deg)
        }
        &:last-child{

          display: block;
          transform: rotate(45deg)
        }
      
    }
  }
}